# git-docker

[![Docker Pulls](https://img.shields.io/docker/pulls/volkerraschek/git)](https://hub.docker.com/r/volkerraschek/git)

This is a fork of the official project to clone git repositories from a SCM
control system like github, gitlab, gitea, gogs and so on. The difference
between the origin and this fork is that this project supports ARM and the shell
scripts are tested against shellchecker.

Among other things, the project experiences more extensive support, as the
project receives continuous updates thanks to renovate.

## Build

The container image can be build with via `make` and requires `docker` or
`podman`.

```bash
make container-image/build CONTAINER_RUNTIME=docker # or
make container-image/build CONTAINER_RUNTIME=podman
```

## Usage

Clone a commit:

```bash
podman run \
  --rm \
  --env DRONE_BUILD_EVENT=push \
  --env DRONE_COMMIT_BRANCH=master \
  --env DRONE_REMOTE_URL=https://git.cryptic.systems/volker.raschek/git-docker.git \
  --env DRONE_WORKSPACE=/workspace \
  --volume /tmp/workspace:/workspace \
    volker.raschek/git:latest
```
